FROM ubuntu:20.04

RUN apt update
RUN apt install -y software-properties-common
RUN add-apt-repository -y ppa:openshot.developers/ppa
RUN apt update
RUN DEBIAN_FRONTEND=noninteractive apt-get install keyboard-configuration -y
RUN apt-get update && apt-get install -y apt-transport-https
RUN apt-get install python3-pip -y
RUN apt-get install vim -y
RUN pip3 install fastapi
RUN pip3 install uvicorn[standard]
RUN pip3 install numpy==1.19.2
RUN pip3 install BeautifulSoup4
RUN pip3 install Pillow
RUN pip3 install pyttsx3
RUN pip3 install zhtts
RUN pip3 install rpyc
RUN pip3 install websocket
RUN pip3 install websocket-client
RUN pip3 install dataset
RUN pip3 install aiofiles
RUN apt-get install python3-openshot -y
RUN apt-get install openshot-qt -y
RUN apt install -y xvfb
RUN pip3 install gtts
RUN pip3 install ffmpy
RUN pip3 install --upgrade google-api-python-client
RUN pip3 install progressbar
RUN pip3 install pysrt

